#!/bin/sh

sleep 30

LOW_POWER="/var/run/lowpower"
while [ 1 ]
do
  DELETEMANAGER=`pidof mdvr_deletemanager`
  READER=`pidof mdvr_reader`
	MOUNT_STATE=`df | grep mmcblk0p1`
  if [ -f $LOW_POWER ]
    then
			for i in $DELETEMANAGER
			 do 
         echo "Entering low power mode"
         kill $i
			done
			for i in $READER
			 do 
         kill $i
			done
			if [ "$MOUNT_STATE" ]
			 then
        umount /dev/mmcblk0p1
      fi
			rm -rf /hiwrite/dirty_mount
   else
      if [ ! $DELETEMANAGER ]
       then
         echo "Leaving low power mode"
         cd /cathexis/bin
         ./mdvr_deletemanager > /dev/null &
        fi

      if [ ! $READER ]
       then
        cd /cathexis/bin
        ./mdvr_reader > /dev/null &
      fi
			if [ ! "$MOUNT_STATE" ]
       then
        mount /dev/mmcblk0p1 /media/mmcblk0p1
      fi
			touch /hiwrite/dirty_mount
  fi
 sleep 4
done
